Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface CitationDate

    @Profile(level=CORE)
    @UML(identifier="CI_Date",
         specification=ISO_19115)
    public interface CitationDate

Reference date and event used to describe it.

Since:
  GeoAPI 2.0

Method Summary
`Date` | `getDate()` Reference date for the cited resource.
`DateType` | `getDateType()` Event used for reference date.

Method Detail

### getDate

    @Profile(level=CORE)
    @UML(identifier="date",
         obligation=MANDATORY,
         specification=ISO_19115)
    Date getDate()

  Reference date for the cited resource.

### getDateType

    @Profile(level=CORE)
    @UML(identifier="dateType",
         obligation=MANDATORY,
         specification=ISO_19115)
    DateType getDateType()

  Event used for reference date.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.